Botan: Botan::RIPEMD_128_F Namespace Reference

Botan 1.10.16

Functions
Botan::RIPEMD_128_F Namespace Reference

## Functions
void | F1 (u32bit &A, u32bit B, u32bit C, u32bit D, u32bit msg, u32bit shift)
void | F2 (u32bit &A, u32bit B, u32bit C, u32bit D, u32bit msg, u32bit shift, u32bit magic)
void | F3 (u32bit &A, u32bit B, u32bit C, u32bit D, u32bit msg, u32bit shift, u32bit magic)
void | F4 (u32bit &A, u32bit B, u32bit C, u32bit D, u32bit msg, u32bit shift, u32bit magic)

## Function Documentation

## ◆ F1()

void Botan::RIPEMD_128_F::F1 | ( | u32bit & | A,
|  | u32bit | B,
|  | u32bit | C,
|  | u32bit | D,
|  | u32bit | msg,
|  | u32bit | shift
| ) |  |
| inline

Definition at line 19 of file rmd128.cpp.

References Botan::rotate_left().

Referenced by F4().

21 {
22 A += (B ^ C ^ D) + msg;
23 A = rotate_left(A, shift);
24 }
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21

## ◆ F2()

void Botan::RIPEMD_128_F::F2 | ( | u32bit & | A,
|  | u32bit | B,
|  | u32bit | C,
|  | u32bit | D,
|  | u32bit | msg,
|  | u32bit | shift,
|  | u32bit | magic
| ) |  |
| inline

Definition at line 29 of file rmd128.cpp.

References Botan::rotate_left().

Referenced by F4().

31 {
32 A += (D ^ (B & (C ^ D))) + msg + magic;
33 A = rotate_left(A, shift);
34 }
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21

## ◆ F3()

void Botan::RIPEMD_128_F::F3 | ( | u32bit & | A,
|  | u32bit | B,
|  | u32bit | C,
|  | u32bit | D,
|  | u32bit | msg,
|  | u32bit | shift,
|  | u32bit | magic
| ) |  |
| inline

Definition at line 39 of file rmd128.cpp.

References Botan::rotate_left().

Referenced by F4().

41 {
42 A += (D ^ (B | ~C)) + msg + magic;
43 A = rotate_left(A, shift);
44 }
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21

## ◆ F4()

void Botan::RIPEMD_128_F::F4 | ( | u32bit & | A,
|  | u32bit | B,
|  | u32bit | C,
|  | u32bit | D,
|  | u32bit | msg,
|  | u32bit | shift,
|  | u32bit | magic
| ) |  |
| inline

Definition at line 49 of file rmd128.cpp.

References F1(), F2(), F3(), Botan::load_le(), Botan::rotate_left(), and Botan::store_le().

51 {
52 A += (C ^ (D & (B ^ C))) + msg + magic;
53 A = rotate_left(A, shift);
54 }
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21